package com.qmth.themis.business.cache.bean;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

public class ExamStudentCacheBean implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -7154063361894874051L;

    // 主键
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    // 批次id
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    // 场次id
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examActivityId;

    // 学生id
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    // 科目代码
    private String courseCode;

    // 科目名称
    private String courseName;

    // 虚拟考场代码，考试唯一
    private String roomCode;

    // 考场名称
    private String roomName;

    //已考考试次数
    private Integer alreadyExamCount;
    // 当前考试记录ID
    @JsonSerialize(using = ToStringSerializer.class)
    private Long currentRecordId;

    private String identity;//证件号

    private String name;//考生姓名

    private Integer enable;

    private String classNo;

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }


    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public Integer getAlreadyExamCount() {
        return alreadyExamCount == null ? 0 : alreadyExamCount;
    }

    public void setAlreadyExamCount(Integer alreadyExamCount) {
        this.alreadyExamCount = alreadyExamCount;
    }

    public Long getCurrentRecordId() {
        return currentRecordId;
    }

    public void setCurrentRecordId(Long currentRecordId) {
        this.currentRecordId = currentRecordId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


}
